<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

var webexecuter = "webexecuter";
var psbModule = "twpg";
var psbModuleId = ${mid};

function checkTWPGPay( form )
{
	var summa = Number( form.summa.value );
	if ( Number.isNaN( summa ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( summa <= 0 )
	{
		alert( 'Введите сумму больше нуля' );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + form.summa.value + ' ${currencyTitleMedium}?');
}

function createOrderAndGoGate( summa )
{
	jQuery.get( webexecuter, { action: 'TWPG', operation: 'createOrder', module: psbModule, mid: psbModuleId, contractId: contractId, ct: 'json', summa: summa }, 
		function( data )
		{
			if ( data.STATUS == "00" )
			{
				var form = jQuery( "#twpgGateForm" )[0];
				form.action = data.ACTION
				form.SESSIONID.value = data.SESSIONID;
				form.ORDERID.value = data.ORDERID;
				form.submit();
			}
			else
			{
				alert( 'Ошибка #' + data.STATUS + '\n' + data.ErrorDescription );
			}
		}
	);
}
</script>

<form action="" method="GET" id="twpgGateForm">
	<input type="hidden" name="SESSIONID"/>
	<input type="hidden" name="ORDERID"/>
</form>

<form method="POST">
	<table class="tableFont tableWidth">
	  <tr>
	    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
	    	<h3>Пополнить счет</h3>
			<div style="padding: 0px 4px;"><nobr>Сумма: <input type="text" name="summa" size="12" style="text-align: center;"/>&nbsp;<button type="button" onclick="if ( checkTWPGPay(this.form) ) createOrderAndGoGate( this.form.summa.value );">Оплатить</button></nobr></div>
		</td>
		<td style="width: 20px;">&nbsp;</td>
	    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
	  </tr>
	</table>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="twpgListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="twpgListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="twpgListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#twpgListForm')[0].status.value=this.value;jQuery('#twpgListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.statusCode eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.statusCode}"${selected}>${item.statusTitle}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td>Карта</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:choose><c:when test="${item.result eq 'New'}">Новая</c:when><c:when test="${item.result eq 'Approved'}">Одобренная</c:when><c:otherwise>${item.result}</c:otherwise></c:choose></td>
					<td>${item.card}</td>
					<td><fmt:formatNumber value="${item.summa}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>